#include <SPI.h>  
#include "RF24.h" 
#include <Servo.h>
RF24 myRadio (7, 8); 
Servo myservo;  // create servo object to control a servo
// twelve servo objects can be created on most boards


struct package
{
  byte  id=0;
  float temperature = 0.0;
  char  text[100] ="empty";
};

byte addresses[][6] = {"0"}; 
int pos = 0;    // variable to store the servo position


typedef struct package Package;
Package data;

void setup() 
{
  Serial.begin(115200);
  delay(1000);

  myRadio.begin(); 
  myRadio.setChannel(115); 
  myRadio.setPALevel(RF24_PA_MAX);
  myRadio.setDataRate( RF24_250KBPS ) ; 
  myRadio.openReadingPipe(1, addresses[0]);
  myRadio.startListening();
  myservo.attach(4); 
}


void loop()  
{

  if ( myRadio.available()) 
  {
    while (myRadio.available())
    {
      myRadio.read( &data, sizeof(data) );
    }
    Serial.print("\nPackage:");         // den pakke af variable der deffineres i toppen
    Serial.print(data.id);              // den variable der styre min servo
    Serial.print("\n");                 // \n skaber en ny linje
    Serial.println(data.temperature);   // temperatur sendt fra transmitteren temperature
    Serial.println(data.text);          // text sendt fra transmitter (text
    pos=map(data.id,0,256,0,180);
    myservo.write(pos); 
  }

}
